---------------------
PatchSet 1142 
Date: 2001/01/07 01:56:33
Author: rbcollins
Branch: ntlm
Tag: (none) 
Log:
tidyup for merging

Members: 
	configure.in:1.1.1.3.10.22->1.1.1.3.10.23 
	src/authenticate.c:1.1.1.3.12.24->1.1.1.3.12.25 
	src/cache_cf.c:1.1.1.3.4.1.2.18->1.1.1.3.4.1.2.19 
	src/auth/ntlm/Makefile.in:1.1.10.1->1.1.10.2 

Index: squid/configure.in
===================================================================
RCS file: /cvsroot/squid-sf//squid/configure.in,v
retrieving revision 1.1.1.3.10.22
retrieving revision 1.1.1.3.10.23
diff -u -r1.1.1.3.10.22 -r1.1.1.3.10.23
--- squid/configure.in	5 Jan 2001 07:04:06 -0000	1.1.1.3.10.22
+++ squid/configure.in	7 Jan 2001 01:56:33 -0000	1.1.1.3.10.23
@@ -3,13 +3,13 @@
 dnl
 dnl  Duane Wessels, wessels@nlanr.net, February 1996 (autoconf v2.9)
 dnl
-dnl  $Id: configure.in,v 1.1.1.3.10.22 2001/01/05 07:04:06 rbcollins Exp $
+dnl  $Id: configure.in,v 1.1.1.3.10.23 2001/01/07 01:56:33 rbcollins Exp $
 dnl
 dnl
 dnl
 AC_INIT(src/main.c)
 AC_CONFIG_HEADER(include/autoconf.h)
-AC_REVISION($Revision: 1.1.1.3.10.22 $)dnl
+AC_REVISION($Revision: 1.1.1.3.10.23 $)dnl
 AC_PREFIX_DEFAULT(/usr/local/squid)
 AC_CONFIG_AUX_DIR(cfgaux)
 
@@ -681,10 +681,8 @@
 [  --enable-auth=\"list of auth scheme modules\"
                           Build support for the list of authentication schemes.
                           The default is build Basic and NTLM schemes.
-                          If you include NTLM it must be the first scheme in the
-                          list (Due to a MS bug in I.E.).
                           See src/auth for a list of available modules, or
-                          Programmers Guide section <not yet written>
+                          Programmers Guide section authentication schemes
                           for details on how to build your custom auth scheme
                           module],
 [ case $enableval in
@@ -702,7 +700,7 @@
   esac
 ],
 [ if test -z "$AUTH_MODULES"; then
-    AUTH_MODULES="ntlm basic"
+    AUTH_MODULES="basic ntlm"
   fi
 ])
 echo "Auth scheme modules built: $AUTH_MODULES"
Index: squid/src/authenticate.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/authenticate.c,v
retrieving revision 1.1.1.3.12.24
retrieving revision 1.1.1.3.12.25
diff -u -r1.1.1.3.12.24 -r1.1.1.3.12.25
--- squid/src/authenticate.c	7 Jan 2001 01:06:55 -0000	1.1.1.3.12.24
+++ squid/src/authenticate.c	7 Jan 2001 01:56:34 -0000	1.1.1.3.12.25
@@ -1,6 +1,6 @@
 
 /*
- * $Id: authenticate.c,v 1.1.1.3.12.24 2001/01/07 01:06:55 rbcollins Exp $
+ * $Id: authenticate.c,v 1.1.1.3.12.25 2001/01/07 01:56:34 rbcollins Exp $
  *
  * DEBUG: section 29    Authenticator
  * AUTHOR: Duane Wessels
@@ -312,7 +312,6 @@
 int
 authenticateUserAuthenticated(auth_user_request_t *auth_user_request) {
     assert(authenticateValidateUser(auth_user_request));
-    debug(29,9)("authenticateUserAuthenticated checking auth user request %d\n",auth_user_request);
     if (auth_user_request->auth_user->auth_module>0)
         return authscheme_list[auth_user_request->auth_user->auth_module-1].authenticated(auth_user_request);
     else
Index: squid/src/cache_cf.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/cache_cf.c,v
retrieving revision 1.1.1.3.4.1.2.18
retrieving revision 1.1.1.3.4.1.2.19
diff -u -r1.1.1.3.4.1.2.18 -r1.1.1.3.4.1.2.19
--- squid/src/cache_cf.c	7 Jan 2001 01:06:55 -0000	1.1.1.3.4.1.2.18
+++ squid/src/cache_cf.c	7 Jan 2001 01:56:35 -0000	1.1.1.3.4.1.2.19
@@ -1,6 +1,6 @@
 
 /*
- * $Id: cache_cf.c,v 1.1.1.3.4.1.2.18 2001/01/07 01:06:55 rbcollins Exp $
+ * $Id: cache_cf.c,v 1.1.1.3.4.1.2.19 2001/01/07 01:56:35 rbcollins Exp $
  *
  * DEBUG: section 3     Configuration File Parsing
  * AUTHOR: Harvest Derived
@@ -304,19 +304,6 @@
 	}
     }
 #if 0
-    if (Config.Program.ntlmauthenticate) {
-	if (Config.ntlmauthenticateChildren < 1) {
-	    Config.ntlmauthenticateChildren = 0;
-	    wordlistDestroy(&Config.Program.ntlmauthenticate);
-	} else if (Config.ntlmauthenticateChildren > DefaultAuthenticateChildrenMax) {
-	    debug(3, 0) ("WARNING: authenticate_children_ntlm was set to a bad value: %d\n",
-		Config.ntlmauthenticateChildren);
-	    debug(3, 0) ("Setting it to the maximum (%d).\n", DefaultAuthenticateChildrenMax);
-	    Config.ntlmauthenticateChildren = DefaultAuthenticateChildrenMax;
-	}
-    }
-#endif
-#if 0
     if (Config.Program.authenticate) {
 	if (Config.authenticateChildren < 1) {
 	    Config.authenticateChildren = 0;
@@ -385,10 +372,6 @@
     if (Config.Program.redirect)
 	requirePathnameExists("redirect_program", Config.Program.redirect->key);
 #if 0
-    if (Config.Program.ntlmauthenticate)
-	requirePathnameExists("authenticate_program_ntlm", Config.Program.ntlmauthenticate->key);
-#endif
-#if 0
     if (Config.Program.authenticate)
 	requirePathnameExists("authenticate_program", Config.Program.authenticate->key);
 #endif
Index: squid/src/auth/ntlm/Makefile.in
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/auth/ntlm/Attic/Makefile.in,v
retrieving revision 1.1.10.1
retrieving revision 1.1.10.2
diff -u -r1.1.10.1 -r1.1.10.2
--- squid/src/auth/ntlm/Makefile.in	14 Dec 2000 10:37:02 -0000	1.1.10.1
+++ squid/src/auth/ntlm/Makefile.in	7 Jan 2001 01:56:35 -0000	1.1.10.2
@@ -1,5 +1,5 @@
 #
-#  Makefile for the UFS storage driver for the Squid Object Cache server
+#  Makefile for the ntlm authentication scheme module for the Squid Object Cache server
 #
 #  $Id$
 #
